org.vishia.gral.swt

## Class SwtButton.KeyListener

- java.lang.Object
- - org.vishia.gral.swt.SwtKeyListener
  - - org.vishia.gral.swt.SwtButton.KeyListener

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.KeyListener, org.eclipse.swt.internal.SWTEventListener, GralKeySpecial_ifc
  Enclosing class:
    SwtButton

      protected class SwtButton.KeyListener
      extends SwtKeyListener

- - ### Field Summary

    - ### Fields inherited from class org.vishia.gral.swt.SwtKeyListener

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyListener(GralKeyListener keyAction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `specialKeysOfWidgetType(int key, GralWidget_ifc widggArg, java.lang.Object widgImpl)` This method can be overridden by specialized classes of this.

    - ### Methods inherited from class org.vishia.gral.swt.SwtKeyListener

      `keyPressed, keyReleased`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyListener

          public KeyListener(GralKeyListener keyAction)

  - ### Method Detail

    - #### specialKeysOfWidgetType

          public final boolean specialKeysOfWidgetType(int key,
                                                       GralWidget_ifc widggArg,
                                                       java.lang.Object widgImpl)

      Description copied from interface: `GralKeySpecial_ifc`
      This method can be overridden by specialized classes of this. This method is called firstly. Note if a special key should be handled in the `GralWidget#getActionChange()` then this special handling should be programmed in the derived class. If this method returns true, the key is not applied to the action and not applied to the common handling.
      Specified by:
        `specialKeysOfWidgetType` in interface `GralKeySpecial_ifc`
      Overrides:
        `specialKeysOfWidgetType` in class `SwtKeyListener`
      Returns:
        true if the key is processed.